void setup() {
  pinMode(1, INPUT_PULLUP); // set push button pin as input
  pinMode(0, OUTPUT);      // set LED pin as output
  digitalWrite(0, LOW);    // switch off LED pin

  Serial.begin(9600);       // initialize UART with baud rate of 9600 bps
}

void loop() {
  if (Serial.available()) {
    char data_rcvd = Serial.read();   // read one byte from serial buffer and save to data_rcvd

    if (data_rcvd == '1')
      digitalWrite(0, HIGH); // switch LED On
    if (data_rcvd == '0')
      digitalWrite(0, LOW);  // switch LED Off
  }


}
